/*cdGetPres routine to query results and return pressure of last zone */
#include "cddefines.h"
#include "pressure.h"
#include "cddrive.h"

void cdGetPres(double *Pres,  /* total pressure, all forms*/
					double *rpgas, /* gas pressure */
					double *rprad) /* radiation pressure */
{

#	ifdef DEBUG_FUN
	fputs( "<+>cdGetPres()\n", debug_fp );
#	endif

	*rpgas = pressure.GasPres;
	*rprad = pressure.RadPres;
	*Pres = pressure.GasPres + pressure.RadPres;

#	ifdef DEBUG_FUN
	fputs( " <->cdGetPres()\n", debug_fp );
#	endif
	return;
}
