/*opfun  routine used to get continuum pumping of lines 
 * used in conpmp in call to qg32 */
#include "cddefines.h"
#include "sexp.h"
#include "vfun.h"
#include "pmptau.h"
#include "opfun.h"

double opfun(double x)
{
	double opfun_v, 
	  v;

#	ifdef DEBUG_FUN
	fputs( "<+>opfun()\n", debug_fp );
#	endif

	v = vfun(x);
	opfun_v = sexp(pmptau.PumpTau*v)*v;


#	ifdef DEBUG_FUN
	fputs( " <->opfun()\n", debug_fp );
#	endif
	return( opfun_v );
}

