/*TexcLine derive excitation temperature of line from contents of line array */
#include "cddefines.h"
#include "taulines.h"
#include "texcline.h"

double TexcLine(float t[])
{
	double TexcLine_v;

#	ifdef DEBUG_FUN
	fputs( "<+>TexcLine()\n", debug_fp );
#	endif

	/* routine to evaluate line excitation temp using contents of line array
	 * */
	if( t[IPLNPOPU-1]*t[IPLNPOPL-1] > 0. )
	{
		TexcLine_v = (t[IPLNPOPU-1]/t[IPLNGU-1])/(t[IPLNPOPL-1]/t[IPLNGL-1]);
		TexcLine_v = -t[IPLNBOLT-1]/log(TexcLine_v);
	}
	else
	{
		TexcLine_v = 0.;
	}


#	ifdef DEBUG_FUN
	fputs( " <->TexcLine()\n", debug_fp );
#	endif
	return( TexcLine_v );
}

