/*conesc one of the forms of the continuum escape probability */
#include "cddefines.h"
#include "cone2.h"
#include "chnukt.h"
#include "conesc.h"

double conesc(double x)
{
	double conesc_v;

#	ifdef DEBUG_FUN
	fputs( "<+>conesc()\n", debug_fp );
#	endif

	conesc_v = exp(-chnukt.ContTkt*(x-1.))/x*cone2(chnukt.ctau/x/x/
	  x);

#	ifdef DEBUG_FUN
	fputs( " <->conesc()\n", debug_fp );
#	endif
	return( conesc_v );
}

