/*CoolCoba compute cobalt cooling */
#include "cddefines.h"
#include "level2.h"
#include "putcs.h"
#include "coolmetals.h"
#include "taulines.h"

void CoolCoba()
{

#	ifdef DEBUG_FUN
	fputs( "<+>CoolCoba()\n", debug_fp );
#	endif

	/* [Co XI] 5168.A
	 * Y(ik) from 
	 *  >>refer Pelan, J., & Berrington, K.A. 1995, A&A Suppl, 110, 209 */
	PutCS(1.36, &TauLines[ipCo11527][0]);
	level2( &TauLines[ipCo11527][0]);

#	ifdef DEBUG_FUN
	fputs( " <->CoolCoba()\n", debug_fp );
#	endif
	return;
}

