/*PutCS enter a collision strength into an individual line vector */
#include "cddefines.h"
#include "taulines.h"
#include "putcs.h"

void PutCS(double cs, 
  float tarray[])
{

#	ifdef DEBUG_FUN
	fputs( "<+>PutCS()\n", debug_fp );
#	endif

	/* collision strength must not be negative, had been test for being positive,
	 * but called with zero - did not check why 98 jul 5 */
	assert( cs >= 0. );

	tarray[IPLNCS-1] = (float)cs;


#	ifdef DEBUG_FUN
	fputs( " <->PutCS()\n", debug_fp );
#	endif
	return;
}

